public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fail hard when PR/patch application fails
@ 2026-09-11 13:20 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 03bf3a0e7098c7417378fb13b48889c7041a08ba
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2022-08-31T10:23:41+02:00
Stats : +9/-10 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/03bf3a0e7098c7417378fb13b48889c7041a08ba?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: fail hard when PR/patch application fails
Replace the current soft fallback to raw GIT_BRANCH when a required PR
or Patchwork patch fails to merge/apply with a hoard failure, similar to
what we do when cloning the repo fails.
The main motivation is to not have CKI treat this situation as a
failure, but it also a good practice to ensure we either run the
intended version of the test or no test at all.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 014f4d3..ae535fb 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -246,24 +246,23 @@ rlJournalStart
for pull in $GIT_PULLS; do
ref="refs/pull/$pull/head"
if ! rlRun "git fetch origin $ref:$ref" 0; then
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "PR merge failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "PR merge failed!"
+ rlPhaseEnd
+ exit 127
fi
if ! rlRun "git merge --no-edit $ref" 0; then
- rlRun "git merge --abort" 0
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "PR merge failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "PR merge failed!"
+ rlPhaseEnd
+ exit 127
fi
done
$PIPEFAIL_ENABLE
for pwseries in $GIT_PATCHES; do
url="https://patchwork.kernel.org/series/$pwseries/mbox/"
if ! rlRun "curl $url | git am -"; then
- rlRun "git checkout $GIT_BRANCH" 0
- rlLogWarning "Applying patch failed, falling back to GIT_BRANCH"
- break
+ rlLogFatal "Applying patch failed!"
+ rlPhaseEnd
+ exit 127
fi
done
$PIPEFAIL_DISABLE
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fail hard when PR/patch application fails Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox